curl --request PUT \
--url https://external.pleo.io/v1/bookkeeping-categories/{categoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"categoryGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"taxCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://external.pleo.io/v1/bookkeeping-categories/{categoryId}"
payload = {
"archived": True,
"categoryGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"taxCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: true,
categoryGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {},
taxCodeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://external.pleo.io/v1/bookkeeping-categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountId": "123e4567-e89b-12d3-a456-426614174008",
"archived": false,
"categoryGroupId": "123e4567-e89b-12d3-a456-426614174007",
"companyId": "123e4567-e89b-12d3-a456-426614174006",
"id": "123e4567-e89b-12d3-a456-426614174005",
"name": "Office Supplies",
"taxCodeId": "123e4567-e89b-12d3-a456-426614174009"
}
}Update a bookkeeping category
Updates an existing bookkeeping category.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
ID of the bookkeeping category to update.
Body
Boolean flag used to determine if the bookkeeping category is archived.
Pleo's internal identifier of the bookkeeping category group the bookkeeping category is associated with.
Name of the bookkeeping category.
255Pleo's internal identifier of the bookkeeping account the bookkeeping category is associated with.
Place for API users to store flexible data.
Show child attributes
Show child attributes
Pleo's internal identifier of the tax code the bookkeeping category is associated with.
Response
Bookkeeping category updated successfully.
Represents a bookkeeping category in Pleo.
Show child attributes
Show child attributes
Was this page helpful?